﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HPi_DM
{
    public partial class ClientSetting : Form
    {
        public string strServerIP = "";
        public int intServerPort = 0;
        public string strMyID = "";

        public ClientSetting()
        {
            InitializeComponent();
            this.Text = "WiBro-EVO 진단장치";
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            if (txtID.Text == "")
            {
                MessageBox.Show("아이디를 넣어주세요!!");
                return;
            }

            strServerIP = txtServerIP.Text;
            intServerPort = int.Parse(txtServerPort.Text);
            strMyID = txtID.Text;


            this.Close();
            this.DialogResult = DialogResult.OK;
        }

        private void ClientSetting_Load(object sender, EventArgs e)
        {
            txtServerIP.Text = strServerIP;
            txtServerPort.Text = intServerPort.ToString();
            txtID.Text = "HPi-DM #1";
            txtServerIP.Focus();
        }

        private void btnEnd_Click(object sender, EventArgs e)
        {
            Application.ExitThread();
        }
    }
}    
